Listar cobranças
curl --request GET \
--url https://api.upag.io/v1/charges \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.upag.io/v1/charges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.upag.io/v1/charges';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Cobranças
Listar cobranças
Lista cobranças da conta autenticada
GET
https://api.upag.io
/
v1
/
charges
Listar cobranças
curl --request GET \
--url https://api.upag.io/v1/charges \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.upag.io/v1/charges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.upag.io/v1/charges';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Endpoint
curl -G https://api.upag.io/v1/charges \
-H "Authorization: Bearer sk_test_your_api_key" \
-d "limit=20" \
-d "offset=0" \
-d "includes=customer"
Query
integer
Itens por página (padrão conforme paginação da API).
integer
Deslocamento para paginação.
string
customer — inclui o objeto cliente em cada item.Resposta
200 OK
Response
{
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"type": "pix",
"status": "pending",
"amount": 9900,
"description": "Pedido #10482",
"customer": "660e8400-e29b-41d4-a716-446655440001",
"pix": {
"reference": "tx-qr-1",
"qrCode": "00020126580014br.gov.bcb.pix...",
"expiresAt": "2026-03-18T12:00:00.000Z"
},
"splits": [],
"createdAt": "2026-03-18T11:50:00.000Z",
"updatedAt": "2026-03-18T11:50:00.000Z"
}
],
"count": 1
}